MCP Tools Reference: backupdr.googleapis.com

Tool: ListBackupVaults

Lists all secure storage BackupVaults in a specified location.

The following sample demonstrate how to use curl to invoke the ListBackupVaults MCP tool.

Curl Request
                  
curl --location 'https://backupdr.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "ListBackupVaults",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for listing backupvault stores.

ListBackupVaultsRequest

JSON representation
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string,
  "filter": string,
  "orderBy": string,
  "view": enum (BackupVaultView)
}
Fields
parent

string

Required. The project and location for which to retrieve backupvault stores information, in the format 'projects/{project_id}/locations/{location}'. In Cloud Backup and DR, locations map to Google Cloud regions, for example us-central1. To retrieve backupvault stores for all locations, use "-" for the '{location}' value.

pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. Filtering results.

orderBy

string

Optional. Hint for how to order the results.

view

enum (BackupVaultView)

Optional. Reserved for future use to provide a BASIC & FULL view of Backup Vault.

BackupVaultView

BackupVaultView contains enum options for Partial and Full view.

Enums
BACKUP_VAULT_VIEW_UNSPECIFIED If the value is not set, the default 'FULL' view is used.
BACKUP_VAULT_VIEW_BASIC Includes basic data about the Backup Vault, but not the full contents.
BACKUP_VAULT_VIEW_FULL Includes all data about the Backup Vault. This is the default value (for both ListBackupVaults and GetBackupVault).

Output Schema

Response message for listing BackupVaults.

ListBackupVaultsResponse

JSON representation
{
  "backupVaults": [
    {
      object (BackupVault)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
backupVaults[]

object (BackupVault)

The list of BackupVault instances in the project for the specified location.

If the '{location}' value in the request is "-", the response contains a list of instances from all locations. In case any location is unreachable, the response will only return backup vaults in reachable locations and the 'unreachable' field will be populated with a list of unreachable locations.

nextPageToken

string

A token identifying a page of results the server should return.

unreachable[]

string

Locations that could not be reached.

BackupVault

JSON representation
{
  "name": string,
  "labels": {
    string: string,
    ...
  },
  "state": enum (State),
  "backupCount": string,
  "serviceAccount": string,
  "totalStoredBytes": string,
  "uid": string,
  "annotations": {
    string: string,
    ...
  },
  "accessRestriction": enum (AccessRestriction),

  // Union field _description can be only one of the following:
  "description": string
  // End of list of possible types for union field _description.

  // Union field _create_time can be only one of the following:
  "createTime": string
  // End of list of possible types for union field _create_time.

  // Union field _update_time can be only one of the following:
  "updateTime": string
  // End of list of possible types for union field _update_time.

  // Union field _backup_minimum_enforced_retention_duration can be only one of
  // the following:
  "backupMinimumEnforcedRetentionDuration": string
  // End of list of possible types for union field
  // _backup_minimum_enforced_retention_duration.

  // Union field _backup_retention_inheritance can be only one of the following:
  "backupRetentionInheritance": enum (BackupRetentionInheritance)
  // End of list of possible types for union field _backup_retention_inheritance.

  // Union field _deletable can be only one of the following:
  "deletable": boolean
  // End of list of possible types for union field _deletable.

  // Union field _etag can be only one of the following:
  "etag": string
  // End of list of possible types for union field _etag.

  // Union field _effective_time can be only one of the following:
  "effectiveTime": string
  // End of list of possible types for union field _effective_time.

  // Union field _encryption_config can be only one of the following:
  "encryptionConfig": {
    object (EncryptionConfig)
  }
  // End of list of possible types for union field _encryption_config.
}
Fields
name

string

Output only. Identifier. Name of the backup vault to create. It must have the format"projects/{project}/locations/{location}/backupVaults/{backupvault}". {backupvault} cannot be changed after creation. It must be between 3-63 characters long and must be unique within the project and location.

labels

map (key: string, value: string)

Optional. Resource labels to represent user provided metadata. No labels currently defined:

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

state

enum (State)

Output only. The BackupVault resource instance state.

backupCount

string (int64 format)

Output only. The number of backups in this backup vault.

serviceAccount

string

Output only. Service account used by the BackupVault Service for this BackupVault. The user should grant this account permissions in their workload project to enable the service to run backups and restores there.

totalStoredBytes

string (int64 format)

Output only. Total size of the storage used by all backup resources.

uid

string

Output only. Immutable after resource creation until resource deletion.

annotations

map (key: string, value: string)

Optional. User annotations. See https://google.aip.dev/128#annotations Stores small amounts of arbitrary data.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

accessRestriction

enum (AccessRestriction)

Optional. Note: This field is added for future use case and will not be supported in the current release.

Access restriction for the backup vault. Default value is WITHIN_ORGANIZATION if not provided during creation.

Union field _description.

_description can be only one of the following:

description

string

Optional. The description of the BackupVault instance (2048 characters or less).

Union field _create_time.

_create_time can be only one of the following:

createTime

string (Timestamp format)

Output only. The time when the instance was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

Union field _update_time.

_update_time can be only one of the following:

updateTime

string (Timestamp format)

Output only. The time when the instance was updated.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

Union field _backup_minimum_enforced_retention_duration.

_backup_minimum_enforced_retention_duration can be only one of the following:

backupMinimumEnforcedRetentionDuration

string (Duration format)

Required. The default and minimum enforced retention for each backup within the backup vault. The enforced retention for each backup can be extended. Note: Longer minimum enforced retention period impacts potential storage costs post introductory trial. We recommend starting with a short duration of 3 days or less.

A duration in seconds with up to nine fractional digits, ending with 's'. Example: "3.5s".

Union field _backup_retention_inheritance.

_backup_retention_inheritance can be only one of the following:

backupRetentionInheritance

enum (BackupRetentionInheritance)

Optional. Setting for how a backup's enforced retention end time is inherited.

Union field _deletable.

_deletable can be only one of the following:

deletable

boolean

Output only. Set to true when there are no backups nested under this resource.

Union field _etag.

_etag can be only one of the following:

etag

string

Optional. Server specified ETag for the backup vault resource to prevent simultaneous updates from overwiting each other.

Union field _effective_time.

_effective_time can be only one of the following:

effectiveTime

string (Timestamp format)

Optional. Time after which the BackupVault resource is locked.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

Union field _encryption_config.

_encryption_config can be only one of the following:

encryptionConfig

object (EncryptionConfig)

Optional. The encryption config of the backup vault.

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

Duration

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Signed seconds of the span of time. Must be from -315,576,000,000 to +315,576,000,000 inclusive. Note: these bounds are computed from: 60 sec/min * 60 min/hr * 24 hr/day * 365.25 days/year * 10000 years

nanos

integer

Signed fractions of a second at nanosecond resolution of the span of time. Durations less than one second are represented with a 0 seconds field and a positive or negative nanos field. For durations of one second or more, a non-zero value for the nanos field must be of the same sign as the seconds field. Must be from -999,999,999 to +999,999,999 inclusive.

AnnotationsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

EncryptionConfig

JSON representation
{

  // Union field _kms_key_name can be only one of the following:
  "kmsKeyName": string
  // End of list of possible types for union field _kms_key_name.
}
Fields

Union field _kms_key_name.

_kms_key_name can be only one of the following:

kmsKeyName

string

Optional. The Cloud KMS key name to encrypt backups in this backup vault. Must be in the same region as the vault. Some workload backups like compute disk backups may use their inherited source key instead. Format: projects/{project}/locations/{location}/keyRings/{ring}/cryptoKeys/{key}

BackupRetentionInheritance

How a backup's enforced retention end time is inherited.

Enums
BACKUP_RETENTION_INHERITANCE_UNSPECIFIED Inheritance behavior not set. This will default to INHERIT_VAULT_RETENTION.
INHERIT_VAULT_RETENTION

The enforced retention end time of a backup will be inherited from the backup vault's backup_minimum_enforced_retention_duration field.

This is the default behavior.

MATCH_BACKUP_EXPIRE_TIME

The enforced retention end time of a backup will always match the expire time of the backup.

If this is set, the backup's enforced retention end time will be set to match the expire time during creation of the backup. When updating, the ERET and expire time must be updated together and have the same value. Invalid update requests will be rejected by the server.

State

Holds the state of the backup vault resource.

Enums
STATE_UNSPECIFIED State not set.
CREATING The backup vault is being created.
ACTIVE The backup vault has been created and is fully usable.
DELETING The backup vault is being deleted.
ERROR The backup vault is experiencing an issue and might be unusable.
UPDATING The backup vault is being updated.

AccessRestriction

Holds the access restriction for the backup vault.

Enums
ACCESS_RESTRICTION_UNSPECIFIED Access restriction not set. If user does not provide any value or pass this value, it will be changed to WITHIN_ORGANIZATION.
WITHIN_PROJECT Access to or from resources outside your current project will be denied.
WITHIN_ORGANIZATION Access to or from resources outside your current organization will be denied.
UNRESTRICTED No access restriction.
WITHIN_ORG_BUT_UNRESTRICTED_FOR_BA Access to or from resources outside your current organization will be denied except for backup appliance.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌